
set echo on

DECLARE
   TYPE folder_ntt IS TABLE OF VARCHAR2(1024);
   nt_folders folder_ntt := folder_ntt(
                               '/public/',
                               '/public/demo/',
                               '/public/demo/xsd/',
                               '/public/demo/xml/'
                               );
   v_return BOOLEAN;
   folder_exists EXCEPTION;
   PRAGMA EXCEPTION_INIT(folder_exists, -31003);
BEGIN
   FOR i IN nt_folders.FIRST .. nt_folders.LAST LOOP
      BEGIN
         v_return := DBMS_XDB.CREATEFOLDER(nt_folders(i));
      EXCEPTION
         WHEN folder_exists THEN
            NULL;
      END;
   END LOOP;
   COMMIT;
END;
/

