
set echo on
col owner format a10
col object_name format a30
col object_type format a18
col object_id format 9999999
col created format a30

SELECT EXTRACTVALUE(xseq.column_value, '/THISROW/OWNER')       AS owner
,      EXTRACTVALUE(xseq.column_value, '/THISROW/OBJECT_NAME') AS object_name
,      EXTRACTVALUE(xseq.column_value, '/THISROW/OBJECT_TYPE') AS object_type
,      EXTRACTVALUE(xseq.column_value, '/THISROW/OBJECT_ID')   AS object_id
,      EXTRACTVALUE(xseq.column_value, '/THISROW/CREATED')     AS created
FROM   db_objects do
,      TABLE(XMLSEQUENCE(EXTRACT(VALUE(do), '/ROWSET/THISROW'))) xseq
WHERE  ROWNUM <= 10;

SELECT xml.owner
,      xml.object_name
,      xml.object_type
,      xml.object_id
,      xml.created
FROM   db_objects do
,      TABLE (do.xmldata.thisrow) xml
WHERE  ROWNUM <= 10;

