
set echo on

CREATE OR REPLACE DIRECTORY xsd_dir AS 'o:\xmldb\xsd';

BEGIN
  IF DBMS_XDB.CREATERESOURCE(
     abspath => '/public/demo/xsd/db_objects.xsd',
     data    => BFILENAME ('XSD_DIR','db_objects.xsd')
     )
  THEN
     DBMS_XMLSCHEMA.REGISTERSCHEMA(
        schemaurl => 'http://localhost:8080/public/demo/xsd/db_objects.xsd',
        schemadoc => sys.UriFactory.getUri('/public/demo/xsd/db_objects.xsd')
        );
     COMMIT;
  END IF;
END;
/
