
set echo on
col object_name format a30
col object_type format a18

SELECT object_name, object_type
FROM   user_objects
WHERE  created > TRUNC(SYSDATE);

col column_name format a30
col data_type format a25

SELECT column_name
,      data_type
FROM   user_tab_cols
WHERE  table_name = 'DB_OBJECTS';

SELECT type_name, attr_name, attr_type_name
FROM   user_type_attrs
WHERE  type_name LIKE 'DB_OBJECTS%'
ORDER  BY
       type_name, attr_no;

SELECT type_name, elem_type_name
FROM   user_coll_types
WHERE  type_name LIKE 'DB_OBJECTS%';

set lines 60
desc user_xml_schemas

col schema_url format a55
col schema format a55
set long 80
set lines 155

SELECT schema_url, schema
FROM   user_xml_schemas;

