

set echo on
set autotrace traceonly
set timing on

SELECT EXTRACTVALUE(xseq.column_value, '/THISROW/OWNER')       AS owner
,      EXTRACTVALUE(xseq.column_value, '/THISROW/OBJECT_NAME') AS object_name
,      EXTRACTVALUE(xseq.column_value, '/THISROW/OBJECT_TYPE') AS object_type
,      EXTRACTVALUE(xseq.column_value, '/THISROW/OBJECT_ID')   AS object_id
,      EXTRACTVALUE(xseq.column_value, '/THISROW/CREATED')     AS created
FROM   db_objects do
,      TABLE(XMLSEQUENCE(EXTRACT(VALUE(do), '/ROWSET/THISROW'))) xseq;


SELECT xml.owner
,      xml.object_name
,      xml.object_type
,      xml.object_id
,      xml.created
FROM   db_objects do
,      TABLE (do.xmldata.thisrow) xml;

set timing off
set autotrace off

